Page MenuHomePhabricator

Android app showing cached versions of pages too aggressively
Closed, ResolvedPublic

Description

I've heard a few reports from my friends that the Android app is back to showing cached versions of pages too aggressively. This was an issue a while back which we thought we had fixed. I guess it's back! This should be investigated.

Random idea: only cache aggressively on mainspace articles. I think these people are reading discussions on noticeboards which update much faster.

Details

Related Gerrit Patches:
apps/android/wikipedia : masterTweak local cache policy in app.

Event Timeline

Deskana created this task.Jun 9 2015, 3:46 PM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2015, 3:46 PM
Deskana updated the task description. (Show Details)Jun 9 2015, 3:47 PM
Deskana set Security to None.

Change 217296 had a related patch set uploaded (by Dbrant):
Tweak local cache policy in app.

https://gerrit.wikimedia.org/r/217296

Change 217296 merged by jenkins-bot:
Tweak local cache policy in app.

https://gerrit.wikimedia.org/r/217296

Etonkovidova added a subscriber: Etonkovidova.EditedJun 12 2015, 10:12 PM

Checked on 2.0.103--alpha-2015-06-12 on Samsung Tablet Ce0168(Android 4.0.4)

Is the following expected?
After the page was updated from another device, I need to click on 'Refresh page' to view the updated content. I cannot see the updated page content if I click on the article in 'Saved pages' or navigate with Back button.

Clicking in History on the article title will bring the updated version.

@Etonkovidova Yes, that's the expected behavior for now. Going "back" or via Saved Pages will prefer the cached/saved versions of the page, before attempting to fetch from the network.